Bug 449555 - User "news" has no shell in /etc/passwd
User "news" has no shell in /etc/passwd
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setup (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 16:40 EDT by David Tonhofer
Modified: 2013-04-15 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 09:39:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2008-06-02 16:40:12 EDT
Description of problem:

Default /etc/passwd file has user "news" with no entry for shell (additionally,
a home directory /etc/news which does not exist)

Should be given /sbin/nologin (i.e. something from /etc/shells), I suppose?

Version-Release number of selected component (if applicable):

setup-2.5.58-1.el5

How reproducible:

Always
Comment 2 Ondrej Vasik 2009-02-11 08:43:54 EST
I'm afraid there is no easy way how to fix that in setup package. Any change would/could cause unwanted inconsistency. In Fedora Rawhide is news user/group no longer created by default by setup, it's created by packages that using it (inn and leafnode) - see rhbz #437462 for details. Assigning /sbin/nologin shell to it in RHEL-5 will cause troubles to inn functionality - as some modifications were needed to make inn work with with /sbin/nologin.
Comment 3 Ondrej Vasik 2009-02-11 09:39:07 EST
Closing DEFERRED.

Note You need to log in before you can comment on or make changes to this bug.